MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023981Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-05-22 09:452013-12-19 13:59
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023981: Wrong section curves
DescriptionIntersection algorithm produces wrong intersection curves for the attached surfaces.
Steps To Reproducerestore s1 s1
restore s2 s2
intersect i s1 s2
xdistcs i_1 s1 0 1 100
xdistcs i_2 s1 0 1 100
TagsNo tags attached.
Test case numberbugs moddata_3(013) bug23981
Attached Files? file icon s1 (147 bytes) 2013-05-22 09:45
? file icon s2 (142 bytes) 2013-05-22 09:46

- Relationships
child of 0023932closedbugmaster Community Standard_NoSuchObject thrown computing section between two cylinders - new to 6.6.0 

-  Notes
(0024539)
ifv (developer)
2013-05-29 11:03

CR23981 is ready for reviewing
(0024540)
ifv (developer)
2013-05-29 11:04

Dear bugmuster please test, because correction is minimal (one lene of code)
(0024618)
mkv (tester)
2013-06-03 20:48

Dear BugMaster,

Branch CR23981 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: b27910102b4fb432adc54fdfc62ced135cca2a35

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
http://occt-tests/CR23981-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23981-master-occt/Windows-32-VC9/summary.html [^]
bugs modalg_1(006) buc60899_1
draft angle(001) F8, G2, G8, H1, H2, H3, H4, H5, H6, H7, H8, H9, I3, I6, I9, J1, J2, J3, J5, K6, K7, K8

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug23981

Testing on Linux:
Total MEMORY difference: 365835280 / 365637240
Total CPU difference: 44171.23000000091 / 44970.960000001185

Testing on Windows:
Total MEMORY difference: 418844468 / 416694304
Total CPU difference: 35840.609375 / 35693.875

There are not differences in images found by testdiff.
(0024759)
apn (administrator)
2013-06-14 15:01

Dear mkv,

It's necessary to modify extension of shapes in test case (bug23981_s1.draw and bug23981_s2.draw). Shapes were modified and pushed to folder geom in public repository.
(0024894)
ifv (developer)
2013-06-27 11:03

CR23981 is added by fix for regressions and is ready for reviewing
(0024895)
ifv (developer)
2013-06-27 11:06

CR23981 is added by fix for regressions and is ready for testing.

Case bugs modalg_1(006) buc60899_1 is really inprovement, because result is more correct then for muster.
(0024932)
mkv (tester)
2013-07-01 15:31

Dear BugMaster,

Branch CR23981 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 85a316fead03d30a4d8b0055db729d800c4a74b1

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
http://occt-tests/CR23981-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23981-master-occt/Windows-32-VC9/summary.html [^]
bugs modalg_1(006) buc60899_1
draft angle(001) J5

Improvements:
No improvements

Testing cases:
bugs moddata_3(013) bug23981

Testing on Linux:
Total MEMORY difference: 366371084 / 366171512
Total CPU difference: 47402.27000000082 / 43367.39000000101

Testing on Windows:
Total MEMORY difference: 420969468 / 422797128
Total CPU difference: 41795.53125 / 36582.390625

There are not differences in images found by testdiff.
(0025336)
ifv (developer)
2013-08-16 16:44

CR23981 is added by fix for regressions and is ready for rev. and test.
(0025337)
ifv (developer)
2013-08-16 16:45

CR23981 is added by fix for regressions and is ready for testing
(0025347)
mkv (tester)
2013-08-20 10:20

Dear BugMaster,

Branch CR23981 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 342baf4ed499f1156d185e1b5899cd660ce0d5f5

Number of compiler warnings:

occt component :
Linux: 920 (923 on master)
Windows: 851 (852 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
http://occt-tests/CR23981-master-occt/Debian60-64/bugs/moddata_3/bug23981.html [^]
http://occt-tests/CR23981-master-occt/Windows-32-VC9/bugs/moddata_3/bug23981.html [^]
bugs moddata_3(013) bug23981 - BAD.

Testing on Linux:
Total MEMORY difference: 366251232 / 366043872
Total CPU difference: 44004.71000000052 / 42535.580000000824

Testing on Windows:
Total MEMORY difference: 426226252 / 428140588
Total CPU difference: 37486.296875 / 32972.90625

There are not differences in images found by testdiff.
(0025367)
ifv (developer)
2013-08-21 15:31

To avoid missing files, new total branch CR23981_1 is created and pushed for testing.
(0025368)
ifv (developer)
2013-08-21 15:32

To avoid missing files, new total branch CR23981_1 is created and pushed for testing.
(0025373)
mkv (tester)
2013-08-22 14:33
edited on: 2013-08-22 14:34

Dear BugMaster,

Branch CR23981_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 89a2bb47504aa57c61171e076b7859e7048e0ff6

Number of compiler warnings:

occt component :
Linux: 923 (923 on master)
Windows: 852 (852 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions:
http://occt-tests/CR23981-1-master-occt/Windows-32-VC9/bugs/modalg_1/buc60899_1.html [^]
http://occt-tests/CR23981-1-master-occt/Debian60-64/bugs/modalg_1/buc60899_1.html [^]
bugs modalg_1(006) buc60899_1

http://occt-tests/CR23981-1-master-occt/Debian60-64/draft/angle/E5.html [^]
draft angle(001) E5

http://occt-tests/CR23981-1-master-occt/Windows-32-VC9/draft/angle/M3.html [^]
http://occt-tests/CR23981-1-master-occt/Debian60-64/draft/angle/M3.html [^]
draft angle(001) M3

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_1/job/mnt-CR23981_1-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=001/2/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_1/job/mnt-CR23981_1-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=001/3/HTML_Report/? [^]
parasolid doc_1(001) A1, A3, A4

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_1/job/mnt-CR23981_1-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=002/2/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_1/job/mnt-CR23981_1-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=002/3/HTML_Report/? [^]
parasolid doc_2(002) A1, A3

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_1/job/mnt-CR23981_1-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=003/2/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_1/job/mnt-CR23981_1-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=003/3/HTML_Report/? [^]
parasolid doc_3(003) A4, B1, B7, D9

Improvements:
No improvements

Testing cases:
http://occt-tests/CR23981-1-master-occt/Windows-32-VC9/bugs/moddata_3/bug23981.html [^]
http://occt-tests/CR23981-1-master-occt/Debian60-64/bugs/moddata_3/bug23981.html [^]
bugs moddata_3(013) bug23981 - BAD.

Testing on Linux:
Total MEMORY difference: 366180980 / 366026128
Total CPU difference: 43314.400000000074 / 42534.36000000082

Testing on Windows:
Total MEMORY difference: 426133212 / 428037772
Total CPU difference: 41815.078125 / 32971.15625

There are not differences in images found by testdiff.

(0025393)
ifv (developer)
2013-08-27 19:07
edited on: 2013-08-28 16:36

CR23981_1 was added some modifications and ready for testing and reviewing

(0025394)
ifv (developer)
2013-08-27 19:12
edited on: 2013-08-28 16:37

CR23981_1 was added some modifications and ready for testing and reviewing

Dear MKV bugs modalg_1(006) buc60899_1
is really improvement!!!
Change please length of section in test condition.

(0025400)
ifv (developer)
2013-08-28 16:29
edited on: 2013-08-28 16:38

CR23981_2 was added some modifications and ready for testing and reviewing

Dear MKV bugs modalg_1(006) buc60899_1
is really improvement!!!
Change please length of section in test condition.

(0025401)
ifv (developer)
2013-08-28 16:30
edited on: 2013-08-28 16:38

CR23981_2 was created and ready for testing

Dear MKV bugs modalg_1(006) buc60899_1
is really improvement!!!
Change please length of section in test condition.

(0025459)
mkv (tester)
2013-09-05 11:27
edited on: 2013-09-05 11:30

Dear BugMaster,

Branch CR23981_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 57a88f739dabf6ef644a07b470fcad06d33e04ed

Number of compiler warnings:

occt component :
Linux: 783 (781 on master)
Windows: 387 (386 on master)

products component :
Linux: 189 (191 on master)
Windows: 287 (287 on master)

Regressions:
No regressions in occt part of test cases.

Improvements:
http://occt-tests/CR23981-2-master-occt/Debian60-64/bugs/modalg_1/buc60899_1.html [^]
http://occt-tests/CR23981-2-master-occt/Windows-32-VC9/bugs/modalg_1/buc60899_1.html [^]
bugs modalg_1(006) buc60899_1

Testing cases:
http://occt-tests/CR23981-2-master-occt/Debian60-64/bugs/moddata_3/bug23981.html [^]
http://occt-tests/CR23981-2-master-occt/Windows-32-VC9/bugs/moddata_3/bug23981.html [^]
bugs moddata_3(013) bug23981 - OK.

Testing on Linux:
Total MEMORY difference: 365513752 / 365355036
Total CPU difference: 49055.760000000446 / 54103.25000000012

Testing on Windows:
Total MEMORY difference: 429005908 / 429543216
Total CPU difference: 31234.46875 / 36543.4375

There is following improvement in images found by testdiff.
http://occt-tests/CR23981-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
IMAGE bugs modalg_1 buc60899_1: buc60899_1.png differs

(0025460)
mkv (tester)
2013-09-05 11:38

Dear isn,

There are following regressions in products part of test cases.

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_2/job/mnt-CR23981_2-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=001/3/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_2/job/mnt-CR23981_2-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=001/3/HTML_Report/? [^]
parasolid doc_1(001) A1, A4

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_2/job/mnt-CR23981_2-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=002/2/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_2/job/mnt-CR23981_2-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=002/3/HTML_Report/? [^]
parasolid doc_2(002) A1, A3

http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_2/job/mnt-CR23981_2-master_products_tests_linux_start/label=Debian60-64,tests_group=parasolid,tests_subgroup=003/2/HTML_Report/? [^]
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR23981_2/job/mnt-CR23981_2-master_products_tests_windows_start/label=windows_test,tests_group=parasolid,tests_subgroup=003/3/HTML_Report/? [^]
parasolid doc_3(003) B1, B7, D9

Could you please analyse its.
(0025680)
isn (developer)
2013-09-20 16:52

test results of xt-translator looks OK, except 'parasolid doc_1 A4' on linux.
I tested this test case on Mandriva2010, but don't get same results.
mkv, could you please retest it?
(0025760)
mkv (tester)
2013-09-27 08:16

Dear isn,
could you please rebase branch CR23981_2 to current master, there are conflict files.
(0025782)
ifv (developer)
2013-09-27 17:56

CR23981_4 is ready for testing
it is new branch that got by rebase CR23981_2 on master
(0025783)
ifv (developer)
2013-09-27 17:56

CR23981_4 is ready for testing
it is new branch that got by rebase CR23981_2 on master
(0025817)
mkv (tester)
2013-10-01 14:11

Dear BugMaster,

Branch CR23981_4 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: ae16ad5bcca9be947366e1f56864bd879c202b74

Number of compiler warnings:

occt component :
Linux: 425 (426 on master)
Windows: 24 (24 on master)

products component :
Linux: 1189 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
http://occt-tests/CR23981-4-master-occt/Debian60-64/bugs/modalg_1/buc60899_1.html [^]
http://occt-tests/CR23981-4-master-occt/Windows-32-VC9/bugs/modalg_1/buc60899_1.html [^]
bugs modalg_1(006) buc60899_1: FAILED

Testing cases:
http://occt-tests/CR23981-4-master-occt/Debian60-64/bugs/moddata_3/bug23981.html [^]
http://occt-tests/CR23981-4-master-occt/Windows-32-VC9/bugs/moddata_3/bug23981.html [^]
bugs moddata_3(013) bug23981: OK

Testing on Linux:
Total MEMORY difference: 365407508 / 366128040
Total CPU difference: 44005.18000000126 / 44692.3600000013

Testing on Windows:
Total MEMORY difference: 433833216 / 433414388
Total CPU difference: 32352.125 / 34607.15625

There are not differences in images found by testdiff.
(0025821)
ifv (developer)
2013-10-01 14:58

Dear MKV, I have tried to write (see notes 24895, 25394, 25401) that bugs modalg_1(006) buc60899_1: FAILED
is IMPROVEMENT.
See pictures on muster for comparing - only part of section is made.
Now we have complete section.
(0025877)
mkv (tester)
2013-10-03 15:53
edited on: 2013-10-03 15:54

Dear BugMaster,

bugs modalg_1(006) buc60899_1 was corrected and pushed to git repository.

Issue CR23981 is TESTED.


- Related Changesets
occt: master 7c4e9501
Timestamp: 2013-10-03 12:13:10
Author: ifv
Committer: bugmaster
Details ] Diff ]
0023981: Wrong section curves

1. Insertion in intersection algorithm correct treatment of infinite surface boundaries.
2. Small correction of algorithm of projection of point on preiodic surfaces
to avoid wrong periodic adjusting of solution.
3. Adding test case for issue CR23981
mod - src/Adaptor3d/Adaptor3d_TopolTool.cxx Diff ] File ]
mod - src/Extrema/Extrema_ExtPElS.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.gxx Diff ] File ]
mod - tests/bugs/modalg_1/buc60899_1 Diff ] File ]
add - tests/bugs/moddata_3/bug23981 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-22 09:45 emv New Issue
2013-05-22 09:45 emv Assigned To => abv
2013-05-22 09:45 emv File Added: s1
2013-05-22 09:46 emv File Added: s2
2013-05-22 09:46 emv Relationship added child of 0023932
2013-05-22 11:40 abv Assigned To abv => ifv
2013-05-22 11:40 abv Status new => assigned
2013-05-29 11:03 ifv Note Added: 0024539
2013-05-29 11:03 ifv Status assigned => resolved
2013-05-29 11:04 ifv Note Added: 0024540
2013-05-29 11:04 ifv Status resolved => reviewed
2013-06-03 20:48 mkv Note Added: 0024618
2013-06-03 20:49 mkv Test case number => bugs moddata_3(013) bug23981
2013-06-03 20:49 mkv Status reviewed => assigned
2013-06-14 15:01 apn Note Added: 0024759
2013-06-27 11:03 ifv Note Added: 0024894
2013-06-27 11:03 ifv Status assigned => resolved
2013-06-27 11:06 ifv Note Added: 0024895
2013-06-27 11:06 ifv Status resolved => reviewed
2013-06-27 11:38 mkv Assigned To ifv => mkv
2013-07-01 15:31 mkv Note Added: 0024932
2013-07-01 15:32 mkv Assigned To mkv => ifv
2013-07-01 15:32 mkv Status reviewed => assigned
2013-08-16 16:44 ifv Note Added: 0025336
2013-08-16 16:44 ifv Status assigned => resolved
2013-08-16 16:45 ifv Note Added: 0025337
2013-08-16 16:45 ifv Status resolved => reviewed
2013-08-19 08:58 mkv Assigned To ifv => mkv
2013-08-20 10:20 mkv Note Added: 0025347
2013-08-20 10:20 mkv Assigned To mkv => ifv
2013-08-20 10:20 mkv Status reviewed => assigned
2013-08-21 15:31 ifv Note Added: 0025367
2013-08-21 15:31 ifv Status assigned => resolved
2013-08-21 15:32 ifv Note Added: 0025368
2013-08-21 15:32 ifv Status resolved => reviewed
2013-08-21 15:34 mkv Assigned To ifv => mkv
2013-08-22 14:33 mkv Note Added: 0025373
2013-08-22 14:34 mkv Note Edited: 0025373 View Revisions
2013-08-22 14:36 mkv Assigned To mkv => ifv
2013-08-22 14:36 mkv Status reviewed => assigned
2013-08-27 19:07 ifv Note Added: 0025393
2013-08-27 19:07 ifv Status assigned => resolved
2013-08-27 19:12 ifv Note Added: 0025394
2013-08-27 19:12 ifv Status resolved => reviewed
2013-08-27 19:53 mkv Assigned To ifv => mkv
2013-08-28 16:29 ifv Note Added: 0025400
2013-08-28 16:29 ifv Status reviewed => feedback
2013-08-28 16:30 ifv Note Added: 0025401
2013-08-28 16:30 ifv Status feedback => reviewed
2013-08-28 16:36 mkv Note Edited: 0025393 View Revisions
2013-08-28 16:37 mkv Note Edited: 0025394 View Revisions
2013-08-28 16:38 mkv Note Edited: 0025400 View Revisions
2013-08-28 16:38 mkv Note Edited: 0025401 View Revisions
2013-09-05 11:27 mkv Note Added: 0025459
2013-09-05 11:30 mkv Note Edited: 0025459 View Revisions
2013-09-05 11:38 mkv Note Added: 0025460
2013-09-05 11:38 mkv Assigned To mkv => isn
2013-09-05 11:38 mkv Status reviewed => feedback
2013-09-20 16:52 isn Note Added: 0025680
2013-09-20 16:52 isn Assigned To isn => mkv
2013-09-20 16:52 isn Status feedback => assigned
2013-09-27 08:16 mkv Note Added: 0025760
2013-09-27 08:16 mkv Assigned To mkv => ifv
2013-09-27 17:56 ifv Note Added: 0025782
2013-09-27 17:56 ifv Status assigned => resolved
2013-09-27 17:56 ifv Note Added: 0025783
2013-09-27 17:56 ifv Status resolved => reviewed
2013-09-30 15:49 mkv Assigned To ifv => mkv
2013-10-01 14:11 mkv Note Added: 0025817
2013-10-01 14:12 mkv Assigned To mkv => ifv
2013-10-01 14:12 mkv Status reviewed => assigned
2013-10-01 14:58 ifv Note Added: 0025821
2013-10-01 14:58 ifv Assigned To ifv => mkv
2013-10-01 14:58 ifv Status assigned => resolved
2013-10-03 15:53 mkv Note Added: 0025877
2013-10-03 15:54 mkv Note Edited: 0025877 View Revisions
2013-10-03 15:55 mkv Assigned To mkv => bugmaster
2013-10-03 15:55 mkv Status resolved => reviewed
2013-10-03 15:55 mkv Status reviewed => tested
2013-10-04 12:48 bugmaster Changeset attached => occt master 7c4e9501
2013-10-04 12:48 bugmaster Status tested => verified
2013-10-04 12:48 bugmaster Resolution open => fixed
2013-11-06 11:20 bugmaster Target Version => 6.7.0
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker